Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.unit
Class EvolutionStableModel

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<StableModel>
                  lp.unit.EvolutionStableModel

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<StableModel>, Collection<StableModel>, List<StableModel>, RandomAccess

    public class EvolutionStableModel

extends ArrayList<StableModel>

Represents an evolution stable model, i.e. a sequence of stable models.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `StableModel`, Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EvolutionStableModel()` Creates a new instance of `EvolutionStableModel`.
`EvolutionStableModel(int initialCapacity)` Creates a new instance of `EvolutionStableModel` with the given initial capacity.

Method Summary

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### EvolutionStableModel

    public EvolutionStableModel()

  Creates a new instance of `EvolutionStableModel`.

### EvolutionStableModel

    public EvolutionStableModel(int initialCapacity)

  Creates a new instance of `EvolutionStableModel` with the given initial capacity.

  Parameters:
    `initialCapacity` - the initial capacity of this `ArrayList`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD